Skip to main content

Update invoice

PUThttps://api.propexo.com/v1/invoices/:invoice_id

Update a invoice for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

invoice_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    expense_periodstring

    The expense period associated with the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    payment_datestring

    The payment date associated with the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    payment_periodstring

    The accounting period in which you want to make the payment

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    check_numberstring

    The check number associated with the invoice

    Possible values: <= 9 characters

    statusstring

    Status of invoice

    Show 3 enum values
    PAYRELEASEHOLD
    item_numberinteger

    Line Item number of the Invoice record.

    Possible values: > 0

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/invoices/:invoice_id
curl -X PUT https://api.propexo.com/v1/invoices/:invoice_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"expense_period": "2024-07-29T15:51:28.071Z",
"payment_date": "2024-07-29T15:51:28.071Z",
"payment_period": "2024-07-29T15:51:28.071Z",
"check_number": "string",
"status": "PAY",
"item_number": 0
}'
200 Successful response
{
"job_id": "string",
"data": {}
}